com.lowagie.text.pdf.collection

## Class PdfCollectionField

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.collection.PdfCollectionField

    public class PdfCollectionField
    extends PdfDictionary

Author:
  blowagie

### Field Summary

Fields
`static int` `CREATIONDATE` A possible type of collection field.
`static int` `DATE` A possible type of collection field.
`static int` `DESC` A possible type of collection field.
`protected int` `fieldType` The type of the PDF collection field.
`static int` `FILENAME` A possible type of collection field.
`static int` `MODDATE` A possible type of collection field.
`static int` `NUMBER` A possible type of collection field.
`static int` `SIZE` A possible type of collection field.
`static int` `TEXT` A possible type of collection field.

### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

### Fields inherited from class com.lowagie.text.pdf.PdfObject

`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

### Constructor Summary

Constructors
Constructor and Description
`PdfCollectionField(java.lang.String name, int type)` Creates a PdfCollectionField.

### Method Summary

Methods
`PdfObject` `getValue(java.lang.String v)` Returns a PdfObject that can be used as the value of a Collection Item.
`boolean` `isCollectionItem()` Checks if the type of the field is suitable for a Collection Item.
`void` `setEditable(boolean editable)` Indication if the field value should be editable in the viewer.
`void` `setOrder(int i)` The relative order of the field name.
`void` `setVisible(boolean visible)` Sets the initial visibility of the field.

### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

### Methods inherited from class com.lowagie.text.pdf.PdfObject

`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TEXT

    public static final int TEXT

A possible type of collection field.

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

A possible type of collection field.

See Also:
  Constant Field Values

#### NUMBER

    public static final int NUMBER

A possible type of collection field.

See Also:
  Constant Field Values

#### FILENAME

    public static final int FILENAME

A possible type of collection field.

See Also:
  Constant Field Values

#### DESC

    public static final int DESC

A possible type of collection field.

See Also:
  Constant Field Values

#### MODDATE

    public static final int MODDATE

A possible type of collection field.

See Also:
  Constant Field Values

#### CREATIONDATE

    public static final int CREATIONDATE

A possible type of collection field.

See Also:
  Constant Field Values

#### SIZE

    public static final int SIZE

A possible type of collection field.

See Also:
  Constant Field Values

#### fieldType

    protected int fieldType

The type of the PDF collection field.

Since:
  2.1.2 (was called `type` previously)

### Constructor Detail

#### PdfCollectionField

    public PdfCollectionField(java.lang.String name,
                      int type)

Creates a PdfCollectionField.

Parameters:
  `name` - the field name
  `type` - the field type

### Method Detail

#### setOrder

    public void setOrder(int i)

The relative order of the field name. Fields are sorted in ascending order.

Parameters:
  `i` - a number indicating the order of the field

#### setVisible

    public void setVisible(boolean visible)

Sets the initial visibility of the field.

Parameters:
  `visible` - the default is true (visible)

#### setEditable

    public void setEditable(boolean editable)

Indication if the field value should be editable in the viewer.

Parameters:
  `editable` - the default is false (not editable)

#### isCollectionItem

    public boolean isCollectionItem()

Checks if the type of the field is suitable for a Collection Item.

#### getValue

    public PdfObject getValue(java.lang.String v)

Returns a PdfObject that can be used as the value of a Collection Item.

Parameters:
  `v` - value the value that has to be changed into a PdfObject (PdfString, PdfDate or PdfNumber)